Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.html
Class SpanCloserInputStreamTest

    java.lang.Object
      org.apache.any23.extractor.html.SpanCloserInputStreamTest

    public class SpanCloserInputStreamTest

extends Object

Test case for `SpanCloserInputStream`.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Constructor Summary
`SpanCloserInputStreamTest()`

Method Summary
`void` | `testCloserTransparency()`
`void` | `testMixedReplacement()`
`void` | `testNestedSpanReplacement()`
`void` | `testRealSpanReplacement()`
`void` | `testSpanNegativeReplacement()`
`void` | `testSpanPositiveReplacement()`
`void` | `testSubsequentSpanReplacement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanCloserInputStreamTest

    public SpanCloserInputStreamTest()

Method Detail

### testSpanPositiveReplacement

    public void testSpanPositiveReplacement()
                                     throws IOException

  Throws:
    `IOException`

### testSpanNegativeReplacement

    public void testSpanNegativeReplacement()
                                     throws IOException

  Throws:
    `IOException`

### testSubsequentSpanReplacement

    public void testSubsequentSpanReplacement()
                                       throws IOException

  Throws:
    `IOException`

### testNestedSpanReplacement

    public void testNestedSpanReplacement()
                                   throws IOException

  Throws:
    `IOException`

### testMixedReplacement

    public void testMixedReplacement()
                              throws IOException

  Throws:
    `IOException`

### testRealSpanReplacement

    public void testRealSpanReplacement()
                                 throws IOException

  Throws:
    `IOException`

### testCloserTransparency

    public void testCloserTransparency()
                                throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.